Searches for employees by role type names with pagination support. Returns employees who have ANY of the specified roles (union logic).

Sample request:

GET /commands/v4/employees/search/roles?RoleNames=IsBillerCollector&RoleNames=IsPharmacist&PageNumber=0&PageSize=10&OrderBy=LastName&IncludeInactive=false
        

Role names must match existing UserSettingType.Name values.

HCSI-4629: PromptCare RAIL#117 Enhancement

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
RoleNames
array of strings
required
length between 1 and 10

List of role type names to search for (e.g., "IsBillerCollector", "IsPharmacist").
Returns employees who have ANY of the specified roles (union logic).

RoleNames*
boolean

Include inactive employees in results. Default is false.

int32

Page number (0-based).

int32

Page size.

string
enum

Order by field.

Allowed:
string

The requested API version

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json